gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.DrawingArea The widget allows the user to edit a curve covering a range of values.

The widget allows the user to edit a curve covering a range of values. It is typically used to fine-tune color balances in graphics applications like the Gimp. The widget has 3 modes of operation - spline, linear and free. In spline mode the user places points on the curve which are automatically connected together into a smooth curve. In linear mode the user places points on the curve which are connected by straight lines. In free mode the user can draw the points of the curve freely, and they are not connected at all.

NOTE: this widget is considered too specialized/little-used for GTK+, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, we are not accepting new features for the widget, and it will eventually move out of the GTK+ distribution. (FIXME: will it remain in GTK#?)

- Constructor
  2.12.0.0
  Constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("curve-type")
  Gtk.CurveType Sets the type of the curve. A .

  The curve will remain unchanged except when changing from a free curve to a linear or spline curve, in which case the curve will be changed as little as possible.

- Event
  2.12.0.0
  GLib.Signal("curve_type_changed")
  System.EventHandler Emitted when the curve type has been changed.

  The curve type can be changed explicitly with a call to . It is also changed as a side-effect of calling or .

- Property
  2.12.0.0
  System.Single Recomputes the entire curve using the given gamma value. A gamma value.

  A gamma value of 1 results in a straight line. Values greater than 1 result in a curve above the straight line. Values less than 1 result in a curve below the straight.

- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("max-x")
  System.Single The maximum x value of the gamma curve. A max x value.
- Property
  2.12.0.0
  GLib.Property("max-y")
  System.Single The maximum y value of the gamma curve. A max y value.
- Property
  2.12.0.0
  GLib.Property("min-x")
  System.Single The minimum x value of the gamma curve. A min x value.
- Property
  2.12.0.0
  GLib.Property("min-y")
  System.Single The minimum y value of the gamma curve. A min y value.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCurveTypeChanged", Type=typeof(Gtk.Curve))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void Resets the curve to a straight line from the minimum x and y values to the maximum x and y values (i.e. from the bottom-left to the top-right corners).

  Resets the curve to a straight line from the minimum x and y values to the maximum x and y values (i.e. from the bottom-left to the top-right corners). The curve type is not changed.

- Method
  2.12.0.0
  System.Void `` `` `` `` The minimum x value. The maximum x value. The minimum y value. The maximum y value. Sets the minimum and maximum x and y values of the curve.

  Sets the minimum and maximum x and y values of the curve. The curve is also reset with a call to .

- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.